Vector Search
curl --request POST \
--url https://api.meshapi.ai/v1/files/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "What are the project milestones?",
"top_k": 5,
"file_ids": [
"file_01JZ0S3N6M8ZQ8DGK9VY1R2H3T"
]
}
'import requests
url = "https://api.meshapi.ai/v1/files/search"
payload = {
"query": "What are the project milestones?",
"top_k": 5,
"file_ids": ["file_01JZ0S3N6M8ZQ8DGK9VY1R2H3T"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'What are the project milestones?',
top_k: 5,
file_ids: ['file_01JZ0S3N6M8ZQ8DGK9VY1R2H3T']
})
};
fetch('https://api.meshapi.ai/v1/files/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"file_id": "file_01JZ0S3N6M8ZQ8DGK9VY1R2H3T",
"file_name": "project_proposal.pdf",
"file_type": "pdf",
"mime_type": "application/pdf",
"chunk_index": 3,
"created_at": 1783001227,
"score": 0.92,
"text": "Milestone 1 is the design review, followed by implementation.",
"parent_text": "The project milestones are design review, implementation, and launch.",
"metadata": {
"page": 2
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}RAG
Vector Search
POST
/
v1
/
files
/
search
Vector Search
Authorizations
Enter your MeshAPI key (rsk_...) — sent as Authorization: Bearer <key>.
Body
application/json
Required range:
1 <= x <= 50Restrict to these file IDs
Match on any metadata key/value pairs
Unix timestamp — only chunks created after this
Unix timestamp — only chunks created before this
Response
Successful Response
Show child attributes
Show child attributes
⌘I